Subject: [AVT] RFC2833: Event Vs. transport mechanism

From: "Prabhu, Raghavendra" <[email-masked]>
Date: Fri, 28 Feb 2003 16:56:18 -0800

Hi,

I understand that application scenario largely determines how one would want to do things ... but I was wondering if there is a common denominator between these. The question is raised by having a 20ms DTMF tone on the input to a media gateway from PSTN. Let's say detectors these days can take < 20ms to detect, and hence it is possible to start sending rfc2833 packets for even such a short tone (considering the minimum on time in most standards is 40ms). 

Questions:
1. Is it always required to terminate any RFC2833 packet stream with an End bit ? I think the answer is yes, since otherwise the tone can be played out for longer time than actual.

2. 23ms or less DTMF tones are supposed to be rejected according to Q.24 Annex A(AT&T). So in theory, no RFC2833 packet should have been generated at all unless it is confirmed to be a valid event as defined by Q.24. Is this a correct assessment ?? This statement implies that an event is defined as something that MUST adhere to Q.24 (or) any other standard. I don't recall seeing this being implied anywhere in the rfc2833.

3. If RFC2833 is simply a transport mechanism (where the gateway sends packets without validaitng with reference to any spec.), where the burden of detection is not on the media gateway connected to the incoming PSTN, but on the receiving gateway or IP phone. I don't know if this helps in reliable transport of events -- or anything else of practical use.

Thanks,
Raghavendra

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt